## spice-html5 0.1.7

=== Makefile ===
#   Copyright (C) 2012 by Jeremy P. White <jwhite@codeweavers.com>
#
#   This file is part of spice-html5.
#
#   spice-html5 is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Lesser General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   spice-html5 is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with spice-html5.  If not, see <http://www.gnu.org/licenses/>.
#

DESTDIR := $(if $(DESTDIR),$(DESTDIR),/)
datadir := $(if $(datadir),$(datadir),$(DESTDIR)/usr/share)
tag := $(if $(tag),$(tag),HEAD)

ifndef version
    version = $(shell git describe $(tag)| grep spice-html5 | sed 's/^spice-html5-//')
endif

source_for_rpm = $(HOME)/rpmbuild/SOURCES/spice-html5-$(version).tar.gz

.PHONY: usage spice-html5.spec rpm tar gittar local git install

usage:
	@echo "This project does not normally need to be built.  See the README."
	@echo " "
	@echo "This Makefile is mostly used for creating RPM packages, which you"
	@echo "can do by invoking 'make local' to use the current working directory,"
	@echo "or 'make git' to use the latest git HEAD."
	@echo "You can specify an alternate source tarball like this:"
	@echo "  make source=/my/alternate/source local"
	@echo "You can specifcy a specific git tag like this:"
	@echo "  make tag=my_specific_tag git"
	@echo "Results generally go in ~/rpmbuild"

spice-html5.spec:
	sed -e "s/VERSION/$(version)/" < spice-html5.spec.in > spice-html5.spec

tar:
	if [ "$(source)x" = "x" ] ; then \
	    tar -czf $(source_for_rpm) --exclude=.git --transform='s!^!spice-html5-$(version)/!' * ; \
	else \
	    cp $(source) $(source_for_rpm) ; \
	fi

gittar:
	if [ "$(source)x" = "x" ] ; then \
	    git archive --output=$(source_for_rpm) --prefix=spice-html5-$(version)/ $(tag) ; \
	else \
	    cp $(source) $(source_for_rpm) ; \
	fi

rpm: spice-html5.spec
	rpmbuild -ba spice-html5.spec

local: tar rpm

git: gittar rpm

install:
	find . \( -iname '*.html' -or -iname '*.js' -or -iname '*.css' \) -exec install --mode=644 -D {} $(datadir)/spice-html5/{} \;

## spice-html5 0~0+20130318+ec9ae0cbd6

=== debian/changelog ===
spice-html5 (0~0+20130318+ec9ae0cbd6-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 08:11:57 +0000

spice-html5 (0~0+20130318+ec9ae0cbd6-1) experimental; urgency=low

  * Initial release. (Closes: #704810).

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Apr 2013 14:58:23 +0800

=== debian/control ===
Source: spice-html5
Section: web
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Liang Guo <guoliang@debian.org>
Build-Depends: debhelper (>= 9), openstack-pkg-tools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/spice-html5.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/spice-html5.git
Homepage: http://www.spice-space.org/page/Html5

Package: spice-html5
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: websockify
Depends: ${misc:Depends}
Description: Spice Web client which runs entirely within a modern browser
 Spice Web client which runs entirely within a modern browser. It is limited 
 in function, a bit slow, and lacks support for many features of Spice       
 (audio, video, agents just to name a few). 
 .
 The Simple Protocol for Independent Computing Environments (SPICE) is 
 a remote display system built for virtual environments which allows 
 you to view a computing 'desktop' environment not only on the machine 
 where it is running, but from anywhere on the Internet and from a wide 
 variety of machine architectures.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

UPSTREAM_GIT = git://anongit.freedesktop.org/spice/spice-html5

%:
	dh $@

override_dh_auto_install:
	echo "Not using Makefile"

override_dh_auto_build:
	echo "Nothing to build"

## spice-html5 0.1.4

=== debian/changelog ===
spice-html5 (0.1.4-1ubuntu1.16.04.1) xenial; urgency=medium

  * d/p/fix-windows-spice-upside-down.patch
    d/p/fix-windows-spice-upside-down-bitmaps.patch
    Fix window spice upside down display (LP: #1836361)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Mon, 22 Jul 2019 08:55:37 +0200

spice-html5 (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Removes the minus char mapping patch which is now in upstream code as they
    accepted my patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2013 22:18:04 +0800

spice-html5 (0~0+20130318+ec9ae0cbd6-3) unstable; urgency=low

  * Added patch for the minus char mapping (on the alpha keyboard).
  * Removed trailing spaces in debian/control long desc.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 May 2013 13:33:42 +0000

=== debian/control ===
Source: spice-html5
Section: web
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Liang Guo <guoliang@debian.org>
Build-Depends: debhelper (>= 9), openstack-pkg-tools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/spice-html5.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/spice-html5.git
Homepage: http://www.spice-space.org/page/Html5

Package: spice-html5
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: websockify
Depends: ${misc:Depends}
Description: Spice Web client which runs entirely within a modern browser
 Spice Web client which runs entirely within a modern browser. It is limited
 in function, a bit slow, and lacks support for many features of Spice
 (audio, video, agents just to name a few).
 .
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.

## spice-html5 0.1.6

=== debian/changelog ===
spice-html5 (0.1.6-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ivan Udovichenko ]
  * Check deb-build job.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 05 Sep 2016 13:03:18 +0000

spice-html5 (0.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #815156)
  * Fixed VCS URLs (https).
  * d/copyright: Reordered
  * Standards-Version is 3.9.8 now (no changes needed)
  * Changed UPSTREAM_GIT protocol to https

 -- Ondřej Nový <novy@ondrej.org>  Thu, 19 May 2016 22:04:04 +0200

## spice-html5 0.1.7

=== debian/changelog ===
spice-html5 (0.1.7-5) unstable; urgency=medium

  * Removed Liang Guo from the uploaders list (Closes: #961612).
  * Switched to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 May 2020 17:10:10 +0200

spice-html5 (0.1.7-4) unstable; urgency=medium

  [ Thomas Goirand ]
  * Remove Julien and Mehdi from uploaders (Closes: #928569).
  * Add an upstream cherry-picked patch to fix "Windows guest display is
    inverted vertically" (Closes: #932393).

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 May 2019 09:17:50 +0200

spice-html5 (0.1.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Michal Arbet ]
  * Add fix-windows-spice-upside-down.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 16 Aug 2018 16:14:00 +0200

spice-html5 (0.1.7-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Add patch to add CTLR-ALT-DEL button.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 12:24:15 +0100

spice-html5 (0.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Add d/watch file.

 -- Liang Guo <guoliang@debian.org>  Fri, 19 Aug 2016 16:03:12 +0800

=== debian/control ===
Source: spice-html5
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 openstack-pkg-tools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/spice-html5
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/spice-html5.git
Homepage: http://www.spice-space.org/page/Html5

Package: spice-html5
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.6~),
Recommends:
 websockify,
Depends:
 ${misc:Depends},
Description: Spice Web client which runs entirely within a modern browser
 Spice Web client which runs entirely within a modern browser. It is limited
 in function, a bit slow, and lacks support for many features of Spice
 (audio, video, agents just to name a few).
 .
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.

## spice-html5 0.2.2

=== debian/changelog ===
spice-html5 (0.2.2-0ubuntu3) impish; urgency=medium

  * d/p/lp1926455-01-add-sc-to-send-ctr-alt-del.patch
  * d/p/lp1926455-02-add-ctrl-alt-del-with-associated-js-eventlistener.patch
    - Fixing 'Send CTRL-ALT-DEL' button which doesn't work. (LP: #1926455)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 06 May 2021 14:07:27 -0400

spice-html5 (0.2.2-0ubuntu2) focal; urgency=medium

  * d/control: Switch Recommends websockify->python3-websockify to
    avoid inclusion of websockify in Ubuntu main and to represent
    the dependency on the websockify binary which is provided by
    python3-websockify.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Apr 2020 16:37:09 +0100

spice-html5 (0.2.2-0ubuntu1) focal; urgency=medium

  * New upstream release, completing Ubuntu MIR actions (LP: #1108935):
    - d/p/fix-windows-spice-upside-down.patch: Drop, included in
      upstream release.
    - d/p/Handle_non_topdown_bitmaps.patch: Drop, included in
      upstream release.
    - d/install: Refactor for src subdirectory for .js files.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Apr 2020 09:56:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-UPSTREAM_GIT = git://anongit.freedesktop.org/spice/spice-html5
+UPSTREAM_GIT := https://anongit.freedesktop.org/git/spice/spice-html5.git
 
 %:
 	dh $@

## spice-html5 0.3.0

=== Makefile ===
--- 
+++ 
@@ -26,22 +26,34 @@
 
 source_for_rpm = $(HOME)/rpmbuild/SOURCES/spice-html5-$(version).tar.gz
 
-.PHONY: usage spice-html5.spec rpm tar gittar local git install
+.PHONY: usage spice-html5.spec package.json rpm tar gittar local git install
 
 usage:
 	@echo "This project does not normally need to be built.  See the README."
 	@echo " "
-	@echo "This Makefile is mostly used for creating RPM packages, which you"
-	@echo "can do by invoking 'make local' to use the current working directory,"
-	@echo "or 'make git' to use the latest git HEAD."
-	@echo "You can specify an alternate source tarball like this:"
-	@echo "  make source=/my/alternate/source local"
-	@echo "You can specifcy a specific git tag like this:"
-	@echo "  make tag=my_specific_tag git"
-	@echo "Results generally go in ~/rpmbuild"
+	@echo "This Makefile is used for creating RPM packages and the package.json file used by npm."
+	@echo " "
+	@echo "Building an rpm: "
+	@echo "  Invoke 'make local' to make an rpm with the current working directory,"
+	@echo "  or 'make git' to make an rpm with the latest git HEAD."
+	@echo "  You can specify an alternate source tarball like this:"
+	@echo "    make source=/my/alternate/source local"
+	@echo "  You can specify a specific git tag like this:"
+	@echo "    make tag=my_specific_tag git"
+	@echo "  Results generally go in ~/rpmbuild"
+	@echo " "
+	@echo "Preparing for an npm publish:"
+	@echo "    make package.json"
+	@echo "  where you can specify"
+	@echo "    make tag=my_specific_tag package.json"
+	@echo "  to prepare a particular release."
+
 
 spice-html5.spec:
 	sed -e "s/VERSION/$(version)/" < spice-html5.spec.in > spice-html5.spec
+
+package.json:
+	sed -e "s/VERSION/$(version)/" < package.json.in > package.json
 
 tar:
 	if [ "$(source)x" = "x" ] ; then \

=== debian/changelog ===
spice-html5 (0.3.0-2) unstable; urgency=medium

  * Add fix-load-main-js.patch. (Closes: #1003705).
  * d/control: Add me to uploaders field.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 13 Jan 2022 23:12:19 +0100

spice-html5 (0.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #988110).
  * Fixed upstream URLs.
  * Fixed debian/install.
  * Removed all patches.
  * Removed Pre-Depends: dpkg.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 11:44:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 11),
  openstack-pkg-tools,
@@ -14,8 +15,6 @@
 
 Package: spice-html5
 Architecture: all
-Pre-Depends:
- dpkg (>= 1.15.6~),
 Recommends:
  websockify,
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

UPSTREAM_GIT := https://gitlab.freedesktop.org/spice/spice-html5/

%:
	dh $@

override_dh_auto_install:
	echo "Not using Makefile"

override_dh_auto_build:
	echo "Nothing to build"

override_dh_install:
	dh_install
	rm $(CURDIR)/debian/spice-html5/usr/share/spice-html5/thirdparty/browser-es-module-loader/.npmignore
